<template>
  <button type="button" class="btn-deposit" @click="$emit('onclick')">
    <div class="flex min-h-[28px] items-center">
      <img class="credit-card" v-if="imgPath" ref="imgRef" :alt="methodText" :src="imgPath" />
      <svg-icon v-else svg-name="credit-card" class="credit-card"></svg-icon>
      <span class="content ml-2.5 break-words">{{ text }}</span>
    </div>
    <font-awesome-icon icon="circle-check" class="icon-check" />
  </button>
</template>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  props: {
    text: {
      type: String,
      required: true,
    },
    imgPath: {
      type: String,
      requied: false,
    },
    methodText: {
      type: String,
      requied: false,
    },
  },
  setup() {
    const { getAssetImage } = commonHelper;
    return {
      getAssetImage,
    };
  },
});
</script>

<style scoped lang="scss">
[theme-color="main_lightblue"] {
  .btn-deposit {
    color: var(--text5) !important;
  }
}
.btn-deposit {
  width: 100%;
  display: flex;
  padding: 8px;
  min-width: 160px;
  height: 44px;
  border-radius: 8px;
  color: var(--text4);
  justify-content: space-between;
  align-items: center;
  transition: all 0.3s ease;

  .icon-check {
    opacity: 0;
    height: 12px;
    width: 12px;
    fill: var(--text);
  }

  .credit-card {
    height: 16px;
    width: 16px;
    fill: var(--text);
  }

  span.content {
    width: 90px;
    font-family: "Roboto";
    font-style: normal;
    font-weight: 700;
    font-size: 12px;
    line-height: 14px;
    margin-right: 14px;
    text-align: left;
    color: var(--text5);
  }

  &:not(.active) {
    border: 1px solid var(--border);
  }

  &.active {
    border: none;
    background: var(--secondary);
    color: var(--textBtn);

    .icon-check {
      opacity: 1;
      fill: var(--text5);
    }

    .credit-card {
      fill: var(--text5);
    }
  }
}
</style>
